Basic Hello World app compilation not compiling

This topic contains 5 replies, has 2 voices, and was last updated by Profile photo of support-swapna support-swapna 6 months, 4 weeks ago.

Viewing 6 posts - 1 through 6 (of 6 total)
  • Author
    Posts
  • #522187 Reply
    Profile photo of Damilola
    Damilola
    Participant

    Hi, Would appreciate anyone that could provide an insight into this compilation error for a Hello World application I tried running the phonegap build. I am using the MyEclipse Professional, thanks for your support.
    Ola

    BUILD FAILED
    C:\Users\user\AppData\Local\Android\sdk\tools\ant\build.xml:888: The following error occurred while executing this line:
    C:\Users\user\AppData\Local\Android\sdk\tools\ant\build.xml:890: The following error occurred while executing this line:
    C:\Users\user\AppData\Local\Android\sdk\tools\ant\build.xml:902: The following error occurred while executing this line:
    C:\Users\user\AppData\Local\Android\sdk\tools\ant\build.xml:283: null returned: 1

    Total time: 19 seconds
    C:\Users\user\Workspaces\MyEclipse 2015\HelloWorld\platforms\android\cordova\node_modules\q\q.js:126
    throw e;
    ^
    Error code 1 for command: cmd with args: /s,/c,ant,debug,-f,C:\Users\user\Workspaces\MyEclipse 2015\HelloWorld\platforms\android\build.xml,-Dout.dir=ant-build,-Dgen.absolute.dir=ant-gen

    Command finished with error code 8: cmd /s /c “”C:\Users\user\Workspaces\MyEclipse 2015\HelloWorld\platforms\android\cordova\build.bat” –debug”

    Error: cmd: Command failed with exit code 8
    at ChildProcess.whenDone (C:\Users\user\.myeclipse\phonegap\com.genuitec.eclipse.mobile.embedded.phonegap_3.6.3\win32-me20141201-1428\node_modules\phonegap\node_modules\cordova\node_modules\cordova-lib\src\cordova\superspawn.js:135:23)
    at ChildProcess.EventEmitter.emit (events.js:98:17)
    at maybeClose (child_process.js:743:16)
    at Process.ChildProcess._handle.onexit (child_process.js:810:5)

    #522247 Reply
    Profile photo of support-swapna
    support-swapna
    Moderator

    Damilola,

    Sorry that you are seeing this issue.

    Are you working with the phonegap-plugin-push in your app?
    Please check this thread which discusses similar issue and try the suggestions : https://github.com/phonegap/phonegap-plugin-push/issues/184

    I suggest you also check in development related forums like stackoverflow.com or phonegap forums for better support from the developer community.

    Versions earlier than MyEclipse 2016 are no longer fully supported. Starting with MyEclipse 2016, the support for in-built wizards for PhoneGap is removed. We would recommend that our users switch to using the PhoneGap command line for a more reliable and transparent experience. The PhoneGap CLI is more powerful, flexible and easy to use.
    MyEclipse 2017/2016 includes a Terminal View which can be used to execute PhoneGap commands in a local shell directly within the IDE.

    Here is the announcement regarding PhoneGap support in the newer releases of MyEclipse : https://www.genuitec.com/forums/topic/phonegap-support-in-myeclipse-2016/

    Please let us know if you have any questions.

    –Swapna
    MyEclipse Support

    #522395 Reply
    Profile photo of Damilola
    Damilola
    Participant

    Thanks a lot for your response, I am using MyEclipse 2015 and based on your response about support for 2015 not fully supported anymore, this is what I did before now, I had renewed the licence for my 2015 on the 7th of May, I think it would be best to swap now for the latest version of MyEclipse, could you help look into making the swap possibly?

    thanks

    Ola

    #522396 Reply
    Profile photo of support-swapna
    support-swapna
    Moderator

    Ola,

    MyEclipse licenses are time based and not version based. You can install MyEclipse 2017 to a different location alongside your existing MyEclipse 2015 and use your current license.

    The MyEclipse 2017 installer is available for download here : https://www.genuitec.com/products/myeclipse/download/

    Please let us know if you see any issues with MyEclipse 2017.

    –Swapna
    MyEclipse Support

    #522931 Reply
    Profile photo of Damilola
    Damilola
    Participant

    Hi Swapna, I have installed both 2016 and 2017 version and ran it, however, neither of them gave me the option to create phonegap mobile app, or am I missing something? Would appreciate it if you could help with locating that.

    Thanks

    Ola

    #522981 Reply
    Profile photo of support-swapna
    support-swapna
    Moderator

    Ola,

    The in-built wizards for PhoneGap development are removed starting from MyEclipse 2016 which I already mentioned in my one of my previous responses.

    It is recommended to migrate the projects to MyEclipse 2016/2017 using the migration guide and continue development using PhoneGap CLI. Switch to the Terminal view in MyEclipse and execute the PhoneGap commands to create/build apps.

    Please refer to this tutorial to install PhoneGap CLI : http://docs.phonegap.com/getting-started/1-install-phonegap/cli/

    Here is guide to migrate your app from MyEclipse 2015 to MyEclipse 2016/2017 : https://www.genuitec.com/products/myeclipse/learning-center/mobile/migrating-phonegap-app-to-2016/

    Hope this helps.

    –Swapna
    MyEclipse Support

Viewing 6 posts - 1 through 6 (of 6 total)
Reply To: Basic Hello World app compilation not compiling